AWS IoT Device SDK C++ v2: Aws::Iotjobs::JobExecutionsChangedEvent Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::JobExecutionsChangedEvent Class Referencefinal

`#include <JobExecutionsChangedEvent.h>`

## Public Member Functions
| JobExecutionsChangedEvent ()=default
| JobExecutionsChangedEvent (const Crt::JsonView &doc)
JobExecutionsChangedEvent & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::Map< Aws::Iotjobs::JobStatus, Aws::Crt::Vector< Aws::Iotjobs::JobExecutionSummary > > > | Jobs
Aws::Crt::Optional< Aws::Crt::DateTime > | Timestamp

## Detailed Description

Sent whenever a job execution is added to or removed from the list of pending job executions for a thing.

## Constructor & Destructor Documentation

## ◆ JobExecutionsChangedEvent() [1/2]

Aws::Iotjobs::JobExecutionsChangedEvent::JobExecutionsChangedEvent | ( |  | ) |
| default

## ◆ JobExecutionsChangedEvent() [2/2]

Aws::Iotjobs::JobExecutionsChangedEvent::JobExecutionsChangedEvent | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

JobExecutionsChangedEvent & Aws::Iotjobs::JobExecutionsChangedEvent::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::JobExecutionsChangedEvent::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ Jobs

Aws::Crt::Optional< Aws::Crt::Map<Aws::Iotjobs::JobStatus, Aws::Crt::Vector<Aws::Iotjobs::JobExecutionSummary> > > Aws::Iotjobs::JobExecutionsChangedEvent::Jobs

Map from JobStatus to a list of Jobs transitioning to that status.

## ◆ Timestamp

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::JobExecutionsChangedEvent::Timestamp

The time when the message was sent.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/JobExecutionsChangedEvent.h
- jobs/source/JobExecutionsChangedEvent.cpp